
Redmine - Feature #28638

Filter by issue statuses on reminder task

2018-04-26 12:05 - Davide Giacometti

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

I need an issue statuses filter on reminder task in order to send the notification only for specific issue statuses.

The attached patches provide the option statuses that accept a comma separated list of issue_statuses ids (defaults to all

issue_statuses).

usage example:

bundle exec rake redmine:send_reminders statuses='1,2' RAILS_ENV='development' 

 I ask for a review of the patches and their implementation in Redmine code.

Related issues:

Has duplicate Redmine - Feature #35063: Set values for reminder Closed

History

#1 - 2018-04-26 14:21 - Go MAEDA

- Status changed from Resolved to New

#2 - 2021-04-14 19:00 - Holger Just

- Has duplicate Feature #35063: Set values for reminder added

Files

mailer.rb.patch 1.93 KB 2018-04-26 Davide Giacometti

reminder.rake.patch 1.08 KB 2018-04-26 Davide Giacometti
